%{!?dist: %define dist .slc5}
Name: cern-config-users
Version: 1.8.2
Release: 4%{?dist}
Summary: '%{name}' creates user accounts, etc based on the LANdb information of the device
Group: Applications/System
Source: %{name}-%{version}.tgz
License: GPL
Vendor: CERN
URL: http://cern.ch/linux/

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch

Requires: useraddcern
Requires: lpadmincern
Requires: perl-SOAP-Lite
# on el7 -> not pulled in ?
Requires: perl(LWP::Protocol::https)

%if 0%{?rhel} >= 7
BuildRequires: perl-podlators
%endif

%description 
'%{name}' creates user accounts, provides root access, add printers, ... 
based on the LANdb information of the device 

%prep
%setup -q

%build
pod2man cern-config-users > cern-config-users.1

%install
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
install -m 755 cern-config-users $RPM_BUILD_ROOT/%{_sbindir}/
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 644 cern-config-users.1 $RPM_BUILD_ROOT/%{_mandir}/man1/

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%{_sbindir}/cern-config-users
%{_mandir}/man1/cern-config-users.1*

%changelog
* Fri Dec 06 2019 Ben Morrice <ben.morrice@cern.ch> - 1.8.2-4
- add perl-SOAP-Lite as a Requires

* Thu Nov 14 2019 Ben Morrice <ben.morrice@cern.ch> - 1.8.2-3
- build for el8

* Mon Oct 19 2015 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 1.8.2-2
- fox require for perl LWP-Protocol-HTTPS

* Fri Oct 16 2015 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 1.8.2-1
- fix hwaddr detection on 7.

* Mon Aug 04 2014 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 1.8.1-0
- el7 rebuild

* Wed Feb 20 2013 Jan van Eldik <Jan.van.Eldik@cern.ch> - 1.8-0
- this strips off any comments found in the ldap public key, and
  replaces them with the username so you can find whose key belongs to who.
- minor typo fixed in the pod

* Thu Oct 18 2012 Jan van Eldik <Jan.van.Eldik@cern.ch> - 1.7-0
- [SLC6] write file in /etc/sudoers.d

* Thu Jun 14 2012 Jan van Eldik <Jan.van.Eldik@cern.ch> - 1.6-0
- Minor fixes

* Thu Apr 26 2012 Jan van Eldik <Jan.van.Eldik@cern.ch> - 1.5-0
- new option "--setup-root-ssh-authorizedkeys" to add owner's SSH keys to /root/.ssh/authorized_keys

* Fri Oct 28 2011 Jan van Eldik <Jan.van.Eldik@cern.ch> - 1.4-0
- bug fix: use File::Temp::tempdir() to successfully create temp. directory on SLC5

* Mon Aug 22 2011 Jan van Eldik <Jan.van.Eldik@cern.ch> - 1.3-0
- use hostname() to determine device name for Landb queries (if necessary)
- use non-obvious filenames in dryrun-mode

* Fri Aug 12 2011 Jan van Eldik <Jan.van.Eldik@cern.ch> - 1.2-0
- improved handling of account types, new option "--include-service-accounts"

* Tue Mar  1 2011 Jan van Eldik <Jan.van.Eldik@cern.ch> - 1.1-0
- new option "--use-devicename" to be used on laptops

* Mon Jan 31 2011 Jan van Eldik <Jan.van.Eldik@cern.ch> - 1.0-0
- restore SElinux context on /root/{.forward,.k5login}

* Mon Oct  4 2010 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0.2-1
- Better handling of network errors

* Mon Sep 27 2010 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0.1-1
- initial build
